import request from '../../../axios'

export const getRoleList = (data) => {
    return request.post({url: '/api/oauthConfig/applicationRole/query', data})
}
export const addRole = (data) => {
    return request.post({url: '/api/oauthConfig/applicationRole/create', data})
}
export const updateRole = (data) => {
    return request.post({url: '/api/oauthConfig/applicationRole/update', data})
}
export const authRole = (data) => {
    return request.post({url: '/api/oauthConfig/applicationRole/allocateFunctions', data})
}
export const getAuthTree = (params) => {
    return request.get({url: '/api/oauthConfig/applicationRole/findAllocatedFunctions', params})
}
export const getAuthUsers = (params) => {
    return request.get({url: '/api/oauthConfig/applicationRole/findAllocatedUsers', params})
}
export const authUsers = (data) => {
    return request.post({url: '/api/oauthConfig/applicationRole/allocateUsers', data})
}
export const delAuthUsers = (params) => {
    return request.get({url: '/api/oauthConfig/applicationRole/deleteById', params})
}
export const getUserList = (data) => {
    return request.post({url: '/api/oauthConfig/application/queryUser', data})
}
